ros-noetic-fkie-master-discovery (1.2.7-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 22 Jan 2021 23:00:00 -0000

ros-noetic-fkie-master-discovery (1.2.6-1focal) focal; urgency=high

  * fixed "RuntimeError: dictionary changed size during iteration", issue #150 <https://github.com/fkie/multimaster_fkie/issues/150>
  * replaced Thread.isAlive() by .is_alive() according to issue #149 <https://github.com/fkie/multimaster_fkie/issues/149>
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 15 Jan 2021 23:00:00 -0000

ros-noetic-fkie-master-discovery (1.2.5-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 15 Jan 2021 23:00:00 -0000

ros-noetic-fkie-master-discovery (1.2.4-1focal) focal; urgency=high

  * fkie_master_discovery: fix discovery in some cases with multicast dropped while running
  * fkie_master_discovery: removed map of local addresses to localhost
    This caused problems if ROS_IP of ROS_HOSTNAME was used
  * master_discovery: added parameter to hide nodes, topics and services for filtered requests
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 10 Nov 2020 23:00:00 -0000

ros-noetic-fkie-master-discovery (1.2.1-1focal) focal; urgency=high

  * fkie_multimaster: added conditions for python3 dependencies in package xml

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 21 Jul 2020 22:00:00 -0000

ros-noetic-fkie-master-discovery (1.2.0-1focal) focal; urgency=high

  * fkie_master_discovery: fixed threading problem
  * fkie_master_discovery: fixed shutdown process
    set daemon_threads to True in ThreadingMixIn
  * fkie_master_discovery: reduced timeout for connection requests
  * fkie_master_discovery: added exception on wrong message size
  * fkie_multimaster: fixed warning for cmake_minimum_required
  * fkie_multimaster: fixed build/start in noetic
  * fkie_master_discovery: do not publish statistics after shutdown
  * fkie_master_discovery: fixed python3 compatibility on close
  * master_discovery: added more output details to find problems on issue #130 <https://github.com/fkie/multimaster_fkie/issues/130>
    more details for "master_discovery node appear not to running"
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 21 Jul 2020 22:00:00 -0000

ros-noetic-fkie-master-discovery (1.1.0-1focal) focal; urgency=high

  * prepared conditions for python3  in package xml
  * fkie_multimaster_msgs: changed timestamp in MasterState from float to time
  * fkie_multimaster_msgs: changed timestamp in LinkState from float to time
  * fkie_multimaster: added timestamp of last heartbeat to LinkState message
  * fkie_multimaster_fkie: got get_local_address from rosgraph.network
  * fkie_multimaster: a lot of merges for python 3 compatibility
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 12 May 2020 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.12-1focal) focal; urgency=high

  * Merge pull request #100 <https://github.com/fkie/multimaster_fkie/issues/100> from stertingen/patch-1
    zeroconf.py: Detect IPv6 usage from environment
  * zeroconf.py: Detect IPv6 usage from environment
    Set environment ROS_IPV6=on to enable the IPv6 RPC server.
  * master_discovery_fkie: zeroconf: added fqdn-parameter, see issue #99 <https://github.com/fkie/multimaster_fkie/issues/99>
  * master_discovery_fkie: fixed some format warning
  * master_discovery_fkie: zeroconf use for monitoruri the same hostname from masteruri
  * Contributors: Alexander Tiderko, Hermann von Kleist

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 29 Apr 2019 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.11-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.10-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 25 Feb 2019 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.9-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 20 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.8-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.7-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 17 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.5-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 10 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.4-1focal) focal; urgency=high

  * master_discovery_fkie: fix zeroconf to avoid request loop in master_sync
    see issue #90 <https://github.com/fkie/multimaster_fkie/issues/90>
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 07 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.3-1focal) focal; urgency=high

  * Fixed typo hearbeat[s] to heartbeat[s] pull request #87 <https://github.com/fkie/multimaster_fkie/issues/87> from Paulls20/master
  * Contributors: Alexander Tiderko, Paul.Varghese

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 06 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.2-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 09 Aug 2018 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.1-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 02 Aug 2018 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.0-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 15 Jul 2018 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.7.8-1focal) focal; urgency=high

  * Fix catkin_lint warnings
  * Merge pull request #69 <https://github.com/fkie/fkie_multimaster/issues/69> from AlexisTM/fix_exit_zeroconf
    Solve zeroconf sys.exit( ..., ...) issue
  * Contributors: Alexander Tiderko, Alexis Paques, Timo Röhling

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 23 Mar 2018 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.7.7-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 26 Oct 2017 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.7.6-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 03 Oct 2017 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.7.5-1focal) focal; urgency=high

  * fkie_master_discovery: reduced warning outputs in cases a node or service is not reachable
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.7.4-1focal) focal; urgency=high

  * fkie_master_discovery: improved filter logging
  * fixed read parameter with host filter
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 02 May 2017 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.7.3-1focal) focal; urgency=high

  * fixed warnings in API documentation
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 23 Apr 2017 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.7.2-1focal) focal; urgency=high

  * fkie_master_discovery: reverted the cut of domains in hostnames
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 26 Jan 2017 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.7.1-1focal) focal; urgency=high

  * fkie_master_discovery: fixed some problems on macOS
    
    perform test for multicast interfaces only on Linux and FreeBSD
    
    changed detection for local interface to support discovering on iOS
  * fkie_master_discovery: removed domain suffix from hostname
  * fkie_master_discovery: removed a not needed import
  * fkie_master_discovery: digrammar fix in exception message
  * Contributors: Alexander Tiderko, Jason Mercer

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 25 Jan 2017 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.7.0-1focal) focal; urgency=high

  * fkie_master_discovery: added detection for timejumps into the past
  * fkie_master_discovery: fixed the shutdown process
    
    sometimes blocks the SimpleXMLRPCServer the shutdown process. Added a
    timer to kill the own process at the end.
  * fkie_master_discovery: #55 <https://github.com/fkie/fkie_multimaster/issues/55> change the message handling routines
    Introduced a send and receive Queue. It was need to implement new
    features like hub/client structure.
    Added more debug output.
  * fkie_master_discovery: splitted send_mcast into send_mcast and listen_mcast to get a hub functionality
  * Contributors: Alexander Tiderko, deng02

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 08 Jan 2017 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.6.2-1focal) focal; urgency=high

  * Drop roslib.load_manifest, unneeded with catkin
  * Contributors: Alexander Tiderko, Mike Purvis

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 11 Nov 2016 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.6.1-1focal) focal; urgency=high

  * fix for issue #50: do not sent and reply requests while own state is not available
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 17 Oct 2016 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.6.0-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 11 Oct 2016 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.5.8-1focal) focal; urgency=high

  * fix for #46 <https://github.com/fkie/fkie_multimaster/issues/46>: bouncing offline/online
    reduced discovery heartbeats, especially if one of the masters is not reachable anymore.
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 09 Sep 2016 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.5.7-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 06 Sep 2016 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.5.6-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 31 Aug 2016 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.5.5-1focal) focal; urgency=high

  * fkie_master_discovery: fixed issue`#16 <https://github.com/fkie/fkie_multimaster/issues/16>`_
  * fkie_multimaster: changed indent in source code to 4
  * fkie_master_discovery: added network separation to zeroconf discovering
  * fkie_master_discovery: changed the ROS service initialization
    The ROS service will be created after discovering process is started.
    This is especially for visualisation in node_manager.
  * fkie_multimaster: removed unused imports
  * fkie_master_discovery: fixed pep8 warnings
  * fkie_master_discovery: replaced time.sleep by threading.Timer to handle connection problems while get remote master info
  * master_discover_fkie: added warning on send errors
  * fkie_master_discovery: removed '-' from master name generation for ROS master with not default port
  * fkie_master_discovery: reduced/changed log output
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 29 Aug 2016 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.5.4-1focal) focal; urgency=high

  * fkie_multimaster: added '/do_not_sync' parameter
    this allows to hide some topics/services, topic types, from
    synchronisation. It can be defined as string or as list.
  * fkie_master_sync: fixed unnecessary update requests
    wrong timestamps leads to updates
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 20 Apr 2016 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.5.3-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.5.2-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 30 Mar 2016 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.5.1-1focal) focal; urgency=high

  * Use ROS_HOSTNAME before ROS_IP.
    To determine which interface to use follow ROS master convention
    of ROS_HOSTNAME being used before ROS_IP.
    This is as per:
    http://wiki.ros.org/ROS/EnvironmentVariables#ROS_IP.2BAC8-ROS_HOSTNAME
  * Contributors: Mike O'Driscoll, Timo Röhling

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 22 Mar 2016 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.5.0-1focal) focal; urgency=high

  * master_discovery: fixed avg. network load calculation, added checks for some parameters
  * fkie_multimaster: Set correct logging level to warning
  * Contributors: Alexander Tiderko, Gary Servin

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 16 Mar 2016 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.4.4-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 17 Dec 2015 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.4.3-1focal) focal; urgency=high

  * fkie_master_discovery: fixed compatibility to older versions
  * master_fiscovery_fkie: integrated pull request #24 <https://github.com/fkie/fkie_multimaster/issues/24>
    Thanks for creating the PR to @garyservin and @mikeodr!
    The change lets you define an interface by ~interface, ROS_IP envar
    or append the interface to multicast group like
    mailto:226.0.0.0@192.168.101.10. The master_discovery then binds to the
    specified interface and creates also an unicast interface for active
    requests on communication problems or if ~robot_hosts are defined.
    Now you can also disable the multicast communication by setting
    ~send_mcast to false. In this case the requests are send to hosts
    defined in ~robot_hosts.
  * fkie_master_discovery: fixed the 'local' assignment while updateInfo()
  * fkie_master_discovery: adopt some changes from pull request #24 <https://github.com/fkie/fkie_multimaster/issues/24>
    Thanks to @garyservin for pull request #24 <https://github.com/fkie/fkie_multimaster/issues/24>:
    * Don't exit if we're on localhost, just log a warning
    * Added support for different logging levels in master_monitor:
    currently all logs are marked as warnings, where some should be marked
    as errors.
  * fkie_multimaster: reduced logs and warnings on stop nodes while closing node_manager
  * fkie_multimaster: reduced logging of exceptions
  * fkie_master_discovery: spaces and typos removed
  * fkie_master_discovery: fixed link quality calculation
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 29 Nov 2015 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.4.2-1focal) focal; urgency=high

  * fkie_master_discovery: fixed the updates of remote nodes registered on local master
  * fkie_multimaster: added a possibility to set time on remote host
  * fkie_node_manager: added a warning if the time difference to remote host is greater than a defined value (default 3 sec)
  * fkie_master_discovery: added @part to define interface with mcast group
  * fkie_master_discovery: add posibility to specify the interface to use
  * master_discover_fkie: check for local ip addresses to avoid wrong warning messages
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 18 Oct 2015 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.4.1-1focal) focal; urgency=high

  * Deprecate is_ignored_topic. Move new parameters to the end of the parameter list
  * Make configuration more granular
    allows filtering of specific subscribers or publishers
  * fkie_multimaster: fixed double log output
  * fkie_multimaster: added network problem detection on remote hosts
  * fkie_multimaster: fixed error in launch files included in this package
  * Contributors: Alexander Tiderko, Julian Cerruti

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 27 Apr 2015 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.4.0-1focal) focal; urgency=high

  * fkie_master_discovery: discovery changed
    * reduced the amount of heartbeat messages for discovery
    * added fallback for environments with multicast problems
  * fkie_master_discovery: added log_level parameter to all nodes
  * fkie_master_discovery: changed discovery after the host was set to offline
  * fkie_master_discovery: fixed a problem if more then one master discovery is running on the same host
  * fkie_master_discovery: removed some python mistakes
  * fkie_master_discovery: removed some debug output
  * fkie_master_discovery: fixed change to offline state after a refresh service was called and host is not reachable
  * fkie_master_discovery: fix set to offline state
  * fkie_master_discovery: fixed link quality detection.
    The requests for each master are now stored, to detect the right count
    of messages that we have to receive.
  * Contributors: Alexander, Alexander Tiderko, Robot User

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 19 Feb 2015 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.18-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 17 Feb 2015 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.17-1focal) focal; urgency=high

  * fkie_master_discovery: fixed discovery support for ipv6
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 21 Jan 2015 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.16-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 07 Dec 2014 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.15-1focal) focal; urgency=high

  * fkie_multimaster: added queue_size argumet to the publishers
  * fkie_multimaster: removed some python mistakes
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 30 Nov 2014 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.14-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 23 Oct 2014 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.13-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 28 Jul 2014 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.12-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 07 Jul 2014 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.11-1focal) focal; urgency=high

  * fkie_master_discovery: added some error catches to solve problems with removing of interfaces
  * fkie_master_discovery: fixed a short timestamp represantation
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 03 Jun 2014 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.10-1focal) focal; urgency=high

  * fkie_master_discovery: unsubscribe from parameter at the end
  * fkie_master_discovery: remove invalid roslaunch uris from ROS Master
  * fkie_multimaster: fixed problems detected by catkin_lint

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 30 Mar 2014 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.9-1focal) focal; urgency=high

  * fkie_master_discovery: added warning outputs on errors
  * fkie_multimaster: moved .gitignore to top level

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 11 Dec 2013 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.8-1focal) focal; urgency=high

  * fkie_master_discovery: added output info about approx. netload
  * fkie_multimaster: added a possibility to deaktivate the multicast heart bearts
  * fkie_master_discovery: description in der package.xml changed

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 09 Dec 2013 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.7-1focal) focal; urgency=high

  * fkie_multimaster: fixed problems with resolving service types while sync
    while synchronization not all topics and services can be synchronized
    because of filter or errors. A detection for this case was added.
  * fkie_node_manager: fix node matching
  * fkie_master_discovery: do not publish not resolvable ROS MASTER URI to own ROS network

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 16 Oct 2013 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.6-1focal) focal; urgency=high

  * fkie_multimaster: added SyncServiceInfo message to detect changes on services
  * fkie_master_discovery: fixed the origin master uri for services
  * fkie_master_discovery: fixed the result of the synchronized nodes (handle the restart of the nodes without stop the running node)
  * fkie_master_discovery: fixed the test of local changes -> not all changes are propageted to other hosts

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 16 Sep 2013 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.5-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 05 Sep 2013 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.4-1focal) focal; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 04 Sep 2013 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.3.3-1focal) focal; urgency=high

  * fkie_master_discovery: fixed out, if the ROS_MASTER_URI refs to 'localhost'
  * fkie_master_discovery: fixed the load interface
  * fkie_multimaster: (*) added additional filtered interface to master_discovery rpc-server to get a filtered MasterInfo and reduce the load on network.
    (*) added the possibility to sync remote nodes using ~sync_remote_nodes parameter

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 03 Sep 2013 22:00:00 -0000


